# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:   Chemical Calculator for KDE
Name:      kmol
Version:   0.3.2
Release:   1
Copyright: GPL
Vendor:    Tomislav Gountchev <tomi@idiom.com>
Url:       http://www.idiom.com/~tomi/kmol.html
Packager:  Tomislav Gountchev <tomi@idiom.com>
Group:     Utilities
Source:    kmol-0.3.2.tar.gz
BuildRoot: %{_tmppath}/%{name}-root 

%description
KMol calculates molecular weights and elemental compositon of compounds from their chemical formula. KMol supports user defined groups, unlimited parenthesis levels, multicomponent compounds, global and per-user symbol definitions.

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                 \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.kmol
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.kmol
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.kmol

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/kmol
rm -rf ../file.list.kmol


%files -f ../file.list.kmol
